Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.api
Class EditText

    java.lang.Object
      |
      +--com.macromedia.generator.api.GenObject
            |
            +--com.macromedia.generator.api.EditText

public class EditText
extends GenObject

Field Summary
`static int` | `ALIGN_CENTER`
`static int` | `ALIGN_JUSTIFY`
`static int` | `ALIGN_LEFT`
`static int` | `ALIGN_RIGHT`
`static int` | `PROP_BORDER`
`static int` | `PROP_MAXLENGTH`
`static int` | `PROP_MULTILINE`
`static int` | `PROP_NOSELECT`
`static int` | `PROP_PASSWORD`
`static int` | `PROP_READONLY`
`static int` | `PROP_USEOUTLINES`
`static int` | `PROP_WORDWRAP`

Fields inherited from class com.macromedia.generator.api.GenObject
`peer`

Constructor Summary
`` | `EditText()`
`protected` | `EditText(int i)`

Method Summary
`protected void` | `finalize()`
`int` | `getAlignment()`
`Rect` | `getBounds()`
`int` | `getHeight()`
`int` | `getIndent()`
`int` | `getLeading()`
`int` | `getLeftMargin()`
`int` | `getMaxLength()`
`boolean` | `getProperty(int i)`
`int` | `getRightMargin()`
`java.lang.String` | `getString()`
`void` | `release()`
`void` | `setAlignment(int i)`
`void` | `setBounds(Rect rect)`
`void` | `setColor(int i, int j, int k)`
`void` | `setFont(Font font)`
`void` | `setHeight(int i)`
`void` | `setIndent(int i)`
`void` | `setLeading(int i)`
`void` | `setLeftMargin(int i)`
`void` | `setMaxLength(int i)`
`void` | `setProperty(int i, boolean flag)`
`void` | `setRightMargin(int i)`
`void` | `setString(java.lang.String s)`
`void` | `setVariable(java.lang.String s)`

Methods inherited from class com.macromedia.generator.api.GenObject
`getPeer`

Methods inherited from class java.lang.Object
`, clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_READONLY

    public static final int PROP_READONLY

### PROP_PASSWORD

    public static final int PROP_PASSWORD

### PROP_MULTILINE

    public static final int PROP_MULTILINE

### PROP_USEOUTLINES

    public static final int PROP_USEOUTLINES

### PROP_WORDWRAP

    public static final int PROP_WORDWRAP

### PROP_BORDER

    public static final int PROP_BORDER

### PROP_NOSELECT

    public static final int PROP_NOSELECT

### PROP_MAXLENGTH

    public static final int PROP_MAXLENGTH

### ALIGN_LEFT

    public static final int ALIGN_LEFT

### ALIGN_RIGHT

    public static final int ALIGN_RIGHT

### ALIGN_CENTER

    public static final int ALIGN_CENTER

### ALIGN_JUSTIFY

    public static final int ALIGN_JUSTIFY

Constructor Detail

### EditText

    public EditText()
             throws GeneratorApiException

### EditText

    protected EditText(int i)
                throws GeneratorApiException

Method Detail

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`

### getAlignment

    public int getAlignment()
                     throws GeneratorApiException

### getBounds

    public Rect getBounds()
                   throws GeneratorApiException

### getHeight

    public int getHeight()
                  throws GeneratorApiException

### getIndent

    public int getIndent()
                  throws GeneratorApiException

### getLeading

    public int getLeading()
                   throws GeneratorApiException

### getLeftMargin

    public int getLeftMargin()
                      throws GeneratorApiException

### getMaxLength

    public int getMaxLength()
                     throws GeneratorApiException

### getProperty

    public boolean getProperty(int i)
                        throws GeneratorApiException

### getRightMargin

    public int getRightMargin()
                       throws GeneratorApiException

### getString

    public java.lang.String getString()

### release

    public void release()

  Overrides:
    `release` in class `GenObject`

### setAlignment

    public void setAlignment(int i)
                      throws GeneratorApiException

### setBounds

    public void setBounds(Rect rect)
                   throws GeneratorApiException

### setColor

    public void setColor(int i,
                         int j,
                         int k)
                  throws GeneratorApiException

### setFont

    public void setFont(Font font)
                 throws GeneratorApiException

### setHeight

    public void setHeight(int i)
                   throws GeneratorApiException

### setIndent

    public void setIndent(int i)
                   throws GeneratorApiException

### setLeading

    public void setLeading(int i)
                    throws GeneratorApiException

### setLeftMargin

    public void setLeftMargin(int i)
                       throws GeneratorApiException

### setMaxLength

    public void setMaxLength(int i)
                      throws GeneratorApiException

### setProperty

    public void setProperty(int i,
                            boolean flag)
                     throws GeneratorApiException

### setRightMargin

    public void setRightMargin(int i)
                        throws GeneratorApiException

### setString

    public void setString(java.lang.String s)
                   throws GeneratorApiException

### setVariable

    public void setVariable(java.lang.String s)
                     throws GeneratorApiException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD